Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.SVD.TRLanczosGBidiag

class slepc4py.SLEPc.SVD.TRLanczosGBidiag

  Bases: `object`

  SVD TRLanczos bidiagonalization choices for the GSVD case.

  - `SINGLE`: Single bidiagonalization (Qa).

  - `UPPER`: Joint bidiagonalization, both Qa and Qb in upper bidiagonal

      form.

  - `LOWER`: Joint bidiagonalization, Qa lower bidiagonal, Qb upper

      bidiagonal.

  Attributes Summary

  `LOWER` | Constant `LOWER` of type `int`
  `SINGLE` | Constant `SINGLE` of type `int`
  `UPPER` | Constant `UPPER` of type `int`

  Attributes Documentation

  LOWER: int = LOWER

    Constant `LOWER` of type `int`

  SINGLE: int = SINGLE

    Constant `SINGLE` of type `int`

  UPPER: int = UPPER

    Constant `UPPER` of type `int`